--- old/usr/src/uts/common/fs/zfs/zio.c	2014-10-23 10:42:10.262562167 -0400
+++ new/usr/src/uts/common/fs/zfs/zio.c	2014-10-23 10:42:10.269203152 -0400
@@ -24,6 +24,7 @@
  * Copyright (c) 2011 Nexenta Systems, Inc. All rights reserved.
  */
 
+#include <sys/sysmacros.h>
 #include <sys/zfs_context.h>
 #include <sys/fm/fs/zfs.h>
 #include <sys/spa.h>
@@ -119,7 +120,7 @@
 		size_t align = 0;
 		size_t cflags = (size > zio_buf_debug_limit) ? KMC_NODEBUG : 0;
 
-		while (p2 & (p2 - 1))
+		while (!ISP2(p2))
 			p2 &= p2 - 1;
 
 #ifndef _KERNEL
